org.gitana.platform.services.transfer

## Class TransferExportConfiguration

- java.lang.Object
- - org.gitana.platform.support.GitanaObjectImpl
  - - org.gitana.platform.services.transfer.TransferConfiguration
    - - org.gitana.platform.services.transfer.TransferExportConfiguration

All Implemented Interfaces:
  Serializable, GitanaObject, JSONable

    public class TransferExportConfiguration
    extends TransferConfiguration

Author:
  uzi
See Also:
  Serialized Form

### Field Summary

Fields
`static String` `FIELD_ARTIFACT_INCLUDES`
`static String` `FIELD_ARTIFACT_PARTS`
`static String` `FIELD_BRANCH_INCLUDE_ROOT_CHANGESET`
`static String` `FIELD_CONTENT_INCLUDE_FOLDERS`
`static String` `FIELD_END_CHANGESET`
`static String` `FIELD_END_DATE`
`static String` `FIELD_FORCE_INCLUDES`
`static String` `FIELD_INCLUDE_ACLS`
`static String` `FIELD_INCLUDE_ACTIVITIES`
`static String` `FIELD_INCLUDE_ATTACHMENTS`
`static String` `FIELD_INCLUDE_BINARIES`
`static String` `FIELD_INCLUDE_ROLES`
`static String` `FIELD_INCLUDE_TEAM_MEMBERS`
`static String` `FIELD_INCLUDE_TEAMS`
`static String` `FIELD_SELECTED_BRANCH_IDS`
`static String` `FIELD_START_CHANGESET`
`static String` `FIELD_START_DATE`
`static String` `FIELD_TIP_CHANGESET_ONLY`

### Constructor Summary

Constructors
Constructor and Description
`TransferExportConfiguration()`
`TransferExportConfiguration(com.fasterxml.jackson.databind.node.ObjectNode object)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TransferExportConfiguration` `everything()`
`com.fasterxml.jackson.databind.node.ArrayNode` `getArtifactIncludes()`
`com.fasterxml.jackson.databind.node.ArrayNode` `getArtifactParts()`
`boolean` `getBranchIncludeRootChangeset()`
`boolean` `getContentIncludeFolders()`
`String` `getEndChangeset()`
`Calendar` `getEndDate()`
`boolean` `getForceIncludes()`
`boolean` `getIncludeACLs()`
`boolean` `getIncludeActivities()`
`boolean` `getIncludeAttachments()`
`boolean` `getIncludeBinaries()`
`boolean` `getIncludeRoles()`
`boolean` `getIncludeTeamMembers()`
`boolean` `getIncludeTeams()`
`List<String>` `getSelectedBranchIds()`
`String` `getStartChangeset()`
`Calendar` `getStartDate()`
`boolean` `getTipChangesetOnly()`
`protected void` `initConfiguration()`
`void` `setArtifactIncludes(com.fasterxml.jackson.databind.node.ArrayNode artifactIncludes)`
`void` `setArtifactParts(com.fasterxml.jackson.databind.node.ArrayNode artifactParts)`
`void` `setBranchIncludeRootChangeset(boolean branchIncludeRootChangeset)`
`void` `setContentIncludeFolders(boolean contentIncludeFolders)`
`void` `setEndChangeset(String endChangeset)`
`void` `setEndDate(Calendar endDate)`
`void` `setForceIncludes(boolean forceIncludes)`
`void` `setIncludeACLs(boolean includeACLs)`
`void` `setIncludeActivities(boolean includeActivities)`
`void` `setIncludeAttachments(boolean includeAttachments)`
`void` `setIncludeBinaries(boolean includeBinaries)`
`void` `setIncludeRoles(boolean includeRoles)`
`void` `setIncludeTeamMembers(boolean includeTeamMembers)`
`void` `setIncludeTeams(boolean includeTeams)`
`void` `setSelectedBranchIds(List<String> selectedBranchIds)`
`void` `setStartChangeset(String startChangeset)`
`void` `setStartDate(Calendar startDate)`
`void` `setTipChangesetOnly(boolean tipChangesetOnly)`
`static TransferExportConfiguration` `standard()`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### FIELD_START_DATE

    public static final String FIELD_START_DATE

See Also:
  Constant Field Values

#### FIELD_END_DATE

    public static final String FIELD_END_DATE

See Also:
  Constant Field Values

#### FIELD_START_CHANGESET

    public static final String FIELD_START_CHANGESET

See Also:
  Constant Field Values

#### FIELD_END_CHANGESET

    public static final String FIELD_END_CHANGESET

See Also:
  Constant Field Values

#### FIELD_TIP_CHANGESET_ONLY

    public static final String FIELD_TIP_CHANGESET_ONLY

See Also:
  Constant Field Values

#### FIELD_SELECTED_BRANCH_IDS

    public static final String FIELD_SELECTED_BRANCH_IDS

See Also:
  Constant Field Values

#### FIELD_INCLUDE_ACLS

    public static final String FIELD_INCLUDE_ACLS

See Also:
  Constant Field Values

#### FIELD_INCLUDE_TEAMS

    public static final String FIELD_INCLUDE_TEAMS

See Also:
  Constant Field Values

#### FIELD_INCLUDE_TEAM_MEMBERS

    public static final String FIELD_INCLUDE_TEAM_MEMBERS

See Also:
  Constant Field Values

#### FIELD_INCLUDE_ROLES

    public static final String FIELD_INCLUDE_ROLES

See Also:
  Constant Field Values

#### FIELD_INCLUDE_ACTIVITIES

    public static final String FIELD_INCLUDE_ACTIVITIES

See Also:
  Constant Field Values

#### FIELD_INCLUDE_BINARIES

    public static final String FIELD_INCLUDE_BINARIES

See Also:
  Constant Field Values

#### FIELD_INCLUDE_ATTACHMENTS

    public static final String FIELD_INCLUDE_ATTACHMENTS

See Also:
  Constant Field Values

#### FIELD_ARTIFACT_PARTS

    public static final String FIELD_ARTIFACT_PARTS

See Also:
  Constant Field Values

#### FIELD_ARTIFACT_INCLUDES

    public static final String FIELD_ARTIFACT_INCLUDES

See Also:
  Constant Field Values

#### FIELD_FORCE_INCLUDES

    public static final String FIELD_FORCE_INCLUDES

See Also:
  Constant Field Values

#### FIELD_CONTENT_INCLUDE_FOLDERS

    public static final String FIELD_CONTENT_INCLUDE_FOLDERS

See Also:
  Constant Field Values

#### FIELD_BRANCH_INCLUDE_ROOT_CHANGESET

    public static final String FIELD_BRANCH_INCLUDE_ROOT_CHANGESET

See Also:
  Constant Field Values

### Constructor Detail

#### TransferExportConfiguration

    public TransferExportConfiguration()

#### TransferExportConfiguration

    public TransferExportConfiguration(com.fasterxml.jackson.databind.node.ObjectNode object)

### Method Detail

#### initConfiguration

    protected void initConfiguration()

#### setStartDate

    public void setStartDate(Calendar startDate)

#### getStartDate

    public Calendar getStartDate()

#### setEndDate

    public void setEndDate(Calendar endDate)

#### getEndDate

    public Calendar getEndDate()

#### getStartChangeset

    public String getStartChangeset()

#### setStartChangeset

    public void setStartChangeset(String startChangeset)

#### getEndChangeset

    public String getEndChangeset()

#### setEndChangeset

    public void setEndChangeset(String endChangeset)

#### getIncludeACLs

    public boolean getIncludeACLs()

#### setIncludeACLs

    public void setIncludeACLs(boolean includeACLs)

#### getIncludeTeams

    public boolean getIncludeTeams()

#### setIncludeTeams

    public void setIncludeTeams(boolean includeTeams)

#### getIncludeTeamMembers

    public boolean getIncludeTeamMembers()

#### setIncludeTeamMembers

    public void setIncludeTeamMembers(boolean includeTeamMembers)

#### getIncludeRoles

    public boolean getIncludeRoles()

#### setIncludeRoles

    public void setIncludeRoles(boolean includeRoles)

#### getIncludeActivities

    public boolean getIncludeActivities()

#### setIncludeActivities

    public void setIncludeActivities(boolean includeActivities)

#### getIncludeBinaries

    public boolean getIncludeBinaries()

#### setIncludeBinaries

    public void setIncludeBinaries(boolean includeBinaries)

#### getIncludeAttachments

    public boolean getIncludeAttachments()

#### setIncludeAttachments

    public void setIncludeAttachments(boolean includeAttachments)

#### setArtifactParts

    public void setArtifactParts(com.fasterxml.jackson.databind.node.ArrayNode artifactParts)

#### getArtifactParts

    public com.fasterxml.jackson.databind.node.ArrayNode getArtifactParts()

#### setArtifactIncludes

    public void setArtifactIncludes(com.fasterxml.jackson.databind.node.ArrayNode artifactIncludes)

#### getArtifactIncludes

    public com.fasterxml.jackson.databind.node.ArrayNode getArtifactIncludes()

#### setForceIncludes

    public void setForceIncludes(boolean forceIncludes)

#### getForceIncludes

    public boolean getForceIncludes()

#### getTipChangesetOnly

    public boolean getTipChangesetOnly()

#### setTipChangesetOnly

    public void setTipChangesetOnly(boolean tipChangesetOnly)

#### getSelectedBranchIds

    public List<String> getSelectedBranchIds()

#### setSelectedBranchIds

    public void setSelectedBranchIds(List<String> selectedBranchIds)

#### standard

    public static TransferExportConfiguration standard()

#### everything

    public static TransferExportConfiguration everything()

#### getContentIncludeFolders

    public boolean getContentIncludeFolders()

#### setContentIncludeFolders

    public void setContentIncludeFolders(boolean contentIncludeFolders)

#### getBranchIncludeRootChangeset

    public boolean getBranchIncludeRootChangeset()

#### setBranchIncludeRootChangeset

    public void setBranchIncludeRootChangeset(boolean branchIncludeRootChangeset)